A newer version of this documentation is available.

View Latest

Compatibility

      +

      Couchbase Sync Gateway
      Covers Couchbase Sync Gateway’s compatibility with Couchbase Server and Couchbase Lite

      Sync Gateway and Couchbase Server

      Users of Couchbase Server 6.0 should ensure they have addressed the known issue (MB-41255) by upgrading to one of the recommended Couchbase Server versions (6.0.5, 6.5.2, or 6.6.1).

      The known issue can cause re-balance failures and/or failed replica writes of deleted or expired documents that use Xattrs.

      This impacts Sync Gateway deployments running with shared bucket access enabled, which use Xattrs for metadata storage.

      Table 1. Sync Gateway/Couchbase Server Compatibility Matrix

      Sync Gateway ↓

      Couchbase Server →

      4.0[1]

      4.1[1]

      4.5[1]

      4.6[1]

      5.0

      5.1

      5.5-7.1

      1.3[2]

      feed_type: "DCP"

      1.4[2] feed_type: "DCP"

      1.5[3]

      shared_bucket_access: false

      1.5[3]

      shared_bucket_access: true

      2.0

      shared_bucket_access: false

      2.0

      shared_bucket_access: true

      2.1

      shared_bucket_access: false

      use_views: true

      2.1

      shared_bucket_access: true

      2.1

      use_views: false

      2.5-2.8

      shared_bucket_access: false

      use_views: true

      2.5-2.8

      shared_bucket_access: true

      2.5-2.8

      use_views: false

      Couchbase Server Bucket Types
      Use only Couchbase bucket types in Couchbase for Mobile and Edge. We do not support the use of Couchbase Server’s Ephemeral or Memcached bucket types — for more on bucket types see: Couchbase Server bucket types.

      Sync Gateway and Couchbase Lite

      The table below summarizes the compatible versions of Couchbase Lite with Sync Gateway.

      Table 2. Sync Gateway and Couchbase Lite Compatibility Matrix

      Sync Gateway Versions ↓

      Couchbase Lite →

      1.4 [4]

      2.0

      2.1

      2.5 - 2.8

      3.0.0

      1.4 [2] and 1.5 [3]

      yes

      no

      no

      no

      no

      2.0 and 2.1

      yes

      yes

      yes

      yes

      yes

      2.5 to 2.8
      with delta sync disabled

      yes

      yes

      yes

      yes

      yes

      2.5 to 2.8
      with delta sync enabled

      no

      no

      no

      yes

      yes

      3.0.0

      no

      yes

      yes

      yes

      yes


      1. This Couchbase Server version is End of Support
      2. This Sync Gateway version is End of Support
      3. This Sync Gateway version is End of Life
      4. This Couchbase Lite version is End of Support